Get a prospect
Needs: Prospects, Read
Returns a prospect profile: contact and pipeline fields, notes and events, follow-ups, visible custom attributes, attached form and files. Use the files endpoint to read a file, and the forms endpoints for an attached form.
curl -X GET "https://app.imploy.com.au/api/integrations/v1/prospects/123" \
-H "Content-Type: application/json" \
-H "Authorization: Bearer YOUR_API_TOKEN"
import requests
import json
url = "https://app.imploy.com.au/api/integrations/v1/prospects/123"
headers = {
"Content-Type": "application/json",
"Authorization": "Bearer YOUR_API_TOKEN"
}
response = requests.get(url, headers=headers)
print(response.json())
const response = await fetch("https://app.imploy.com.au/api/integrations/v1/prospects/123", {
method: "GET",
headers: {
"Content-Type": "application/json",
"Authorization": "Bearer YOUR_API_TOKEN"
}
});
const data = await response.json();
console.log(data);
package main
import (
"fmt"
"net/http"
)
func main() {
req, err := http.NewRequest("GET", "https://app.imploy.com.au/api/integrations/v1/prospects/123", nil)
if err != nil {
panic(err)
}
req.Header.Set("Content-Type", "application/json")
req.Header.Set("Authorization", "Bearer YOUR_API_TOKEN")
client := &http.Client{}
resp, err := client.Do(req)
if err != nil {
panic(err)
}
defer resp.Body.Close()
fmt.Println("Response Status:", resp.Status)
}
require 'net/http'
require 'json'
uri = URI('https://app.imploy.com.au/api/integrations/v1/prospects/123')
http = Net::HTTP.new(uri.host, uri.port)
http.use_ssl = true
request = Net::HTTP::Get.new(uri)
request['Content-Type'] = 'application/json'
request['Authorization'] = 'Bearer YOUR_API_TOKEN'
response = http.request(request)
puts response.body
{
"data": {
"id": 21,
"name": "Example Prospect",
"first_name": "Example",
"last_name": "Prospect",
"email": "example.prospect@example.com",
"phone": "0400 000 000",
"suburb": "Perth",
"date_of_lead": "2026-02-20",
"stage": "New",
"tags": [],
"source": "Website",
"consultant": "Example Consultant",
"funding_type": "NDIS",
"followup_date": "2026-03-05",
"converted": false,
"client_id": null,
"notes": "Enquired about weekday support.",
"custom_attributes": [
{
"key": "referrer",
"label": "Referrer",
"value": "Support coordinator"
}
],
"events": [
{
"id": 4,
"type": "Phone call",
"note": "Left a message.",
"followup_date": "2026-03-05",
"staff": "Example Consultant",
"tags": [],
"created": "2026-02-21 09:10:00"
}
],
"files": [],
"form_submission_id": null
}
}
{
"message": "Invalid or expired access token."
}
{
"message": "Access token does not permit this action."
}
{
"message": "Prospect not found.",
"error": "Prospect not found."
}
{
"message": "Too many requests."
}
/prospects/{id}Target server for requests. Edit to use your own host.
An organisation access token that starts with imp_at_. Send it as Authorization: Bearer imp_at_XXXX.
imp_at_. Send it as Authorization: Bearer imp_at_XXXX.The prospect id.
Request Preview
Response
Response will appear here after sending the request
Authentication
Bearer token. An organisation access token that starts with imp_at_. Send it as Authorization: Bearer imp_at_XXXX.
Path Parameters
The prospect id.
Responses
OK